<?php
//if ( ! defined( 'OT_VERSION' ) ) exit( 'No direct script access allowed' );

/**
 * Icon Picker.
 *
 * See @ot_display_by_type to see the full list of available arguments.
 *
 * @param     array     An array of arguments.
 * @return    string
 *
 * @access    public
 * @since     2.3
 */
if ( ! function_exists( 'ot_type_icon_picker' ) ) {
  
  function ot_type_icon_picker( $args = array() ) {
    
    
    /* turns arguments array into variables */
    extract( $args );
    
    /* verify a description */
    $has_desc = $field_desc ? true : false;
    $is_readonly = false;

    /* format setting outer wrapper */
    echo '<div class="format-setting type-date-picker ' . ( $has_desc ? 'has-desc' : 'no-desc' ) . ' p-tl-cont">';
    
    /* ICON picker JS */      
    echo '<script>jQuery(document).ready(function($) { $("#' . esc_attr( $field_id ) . '").iconpicker(); });</script>';
      
      /* description */
      echo $has_desc ? '<div class="description">' . htmlspecialchars_decode( $field_desc ) . '</div>' : '';
      
      /* format setting inner wrapper */
      echo '<div class="input-group format-setting-inner">';
      
        /* build date picker */
        echo '<input type="text" data-placement="bottomRight" class="form-control icp icp-auto"  name="' . esc_attr( $field_name ) . '" id="' . esc_attr( $field_id ) . '" value="' . esc_attr( $field_value ) . '" class="widefat option-tree-ui-input ' . esc_attr( $field_class ) . '"' . ( $is_readonly == true ? ' readonly' : '' ) . ' />';
        echo '<span class="input-group-addon"></span>';
      echo '</div>';
    
    echo '</div>';
    
  }
}


function ptl_newcolor($color, $opacity = false) {
 
  $default = 'rgb(0,0,0)';
 
  //Return default if no color provided
  if(empty($color))
          return $default; 
 
  //Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
          $color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
          if(abs($opacity) > 1)
            $opacity = 1.0;
          $output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
          $output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}


function ptl_get_image($_post, $is_admin) {

  $c_image = '';


  //if admin image
  if($is_admin) {

    return POST_TIMELINE_URL_PATH.'public/img/sample/'.$_post->p_img;
  }

  if(isset($_post->custom['_thumbnail_id'][0])) {

      $c_image = wp_get_attachment_image_src($_post->custom['_thumbnail_id'][0] , 'large' );
      $c_image = isset( $c_image['0'] ) ? $c_image['0'] : null;
  }
  else
      $c_image = POST_TIMELINE_URL_PATH.'public/img/dummy.jpg';

  return $c_image;
}