<?php
/**
 *
 * This file is used to markup the public-facing pattern template.
 *
 * @since      0.0.1
 *
 * @package    Post_TIMELINE
 * @subpackage Post_TIMELINE/public/partials
 */

$color_nav    = $all_configs['ptl-nav-color'];
$bg_color     = $all_configs['ptl-bg-color'];
$nav_class    = 'style-2';
$head_color   = $all_configs['ptl-post-head-color'];
$desc_color   = $all_configs['ptl-post-desc-color'];
$post_bg      = $all_configs['ptl-post-bg-color'];

$ptl_id = 'ptl-'.$uniqid;

if($parent_post) {

    if(isset($parent_post->custom['_thumbnail_id'][0])) {

        $main_image = wp_get_attachment_image_src($parent_post->custom['_thumbnail_id'][0] , 'large' );
        $main_image = isset( $main_image['0'] ) ? $main_image['0'] : null;
    }
    else
        $main_image = POST_TIMELINE_URL_PATH.'public/img/dummy.jpg';
}


?>

<!-- Start of timeline -->
<div data-id="<?php echo $uniqid ?>" class="p-tl-cont timeline_section ptl-vert-tml <?php echo $tmpl_class ?> <?php echo $ptl_id ?>" id="p-tl-cont" style="background:<?php echo $bg_color ?>">
    <div class="ptl-preloder">
        <div class="cssload-loader">
            <div class="inner-loader">
                <div class="cssload-container">
                    <div class="cssload-l">L</div>
                    <div class="cssload-circle"></div>
                    <div class="cssload-square"></div>
                    <div class="cssload-triangle"></div>
                    <div class="cssload-i">I</div>
                    <div class="cssload-n">N</div>
                    <div class="cssload-g">G</div>
                </div>
            </div>
        </div>
    </div>
    <?php if($parent_post): 

        $p_content = $parent_post->post_content;

        if (strlen($p_content) > $all_configs["ptl-post-length"]) {

            // truncate string
            $p_content = substr($p_content, 0, $all_configs["ptl-post-length"]);

            // make sure it ends in a word so assassinate doesn't become ass...
            $p_content = substr($p_content, 0, strrpos($p_content, ' ')).'...'; 
        }
    ?>
        <!-- head -->
        <div class="container timeline_details" style="display:block !important">
            <?php if($main_image): ?>
            <div class="col-md-6">
                <?php if(isset($parent_post->custom['_thumbnail_id'][0])): ?> 
                    <div class="u-img"><img src="<?php echo $main_image; ?>"></div>
                <?php endif; ?> 
            </div>
            <?php endif; ?>
            <div class="col-md-6 details-sec">
                <h1 style="color: <?php echo $color_nav ?>"><?php echo $parent_post->post_title ?></h1>
                <?php if(isset($parent_post->custom['ptl-tag-line'][0])): ?>
                <h3><?php echo $parent_post->custom['ptl-tag-line'][0] ?></h3>
                <?php endif; ?>
                <p><?php echo $p_content; ?></p>
                <p class="time-p"><span><?php echo $parent_post->time_range ?></span></p>
            </div>
        </div>
    <?php endif; ?>    

    <!--Navigation-->
    <div class="yr_list style-2">
        <div class="btn-top ptl-btn temp"><a><span class="glyphicon glyphicon-menu-up"></span></a></div>
        <div class="yr_list-view">
            <ul class="list-unstyled yr_list-inner menu-timeline">
                <?php foreach($tag_list as $key => $value): ?>
                    <li data-tag="<?php echo $key ?>"><a  data-scroll data-options='{ "easing": "Quart" }' data-href="#ptl-tag-<?php echo $key ?>"><span><?php echo $value ?></span></a></li>
                <?php endforeach; ?>
            </ul>
        </div>
        <div class="btn-bottom ptl-btn temp"><a><span class="glyphicon glyphicon-menu-down"></span></a></div>
    </div>
    <!-- head End -->
    <div class="container main-timeline post-timeline">
        <?php include $template_file; ?>
    </div>
</div>
<!-- END of timeline -->

<style>
    .p-tl-cont#p-tl-cont.timeline_section .yr_list.style-2 .ptl-btn a,
    .p-tl-cont#p-tl-cont.timeline_section .yr_list.style-2 li a{color: <?php echo $color_nav ?> !important;}
    .p-tl-cont#p-tl-cont.timeline_section .yr_list.style-2 .ptl-btn a:hover,
    .p-tl-cont#p-tl-cont.timeline_section .yr_list.style-2 li a.active,
    .p-tl-cont#p-tl-cont.timeline_section .yr_list.style-2 li a:hover{color: #fff !important;background: <?php echo $color_nav ?> !important;}
    body #p-tl-cont.p-tl-cont.timeline_section ul.menu-timeline {top: 0px}
</style>